API Reference

Create Text Context Source

Creating a new text context source requires a name and content, everything else is optional. The context source will be created along with its first version, which becomes the context source's primary version by default.

Endpoint
POST https://api.zatomic.ai/v1/context/sources/text

Endpoint Request

Request Properties
name
string
Name of the context source.
content
string
Text content for the context source.
description
string, optional
Description for the context source.
version_name
string, optional
Name for the context source version.
Request Body
{
   "name": "Context source name",
   "content": "This is a reusable piece of text.",
   "description": "Context source description.",
   "version_name": "Context source version name"
}

Endpoint Response

A successful call returns a 201 status code with a response that contains the context source object.

HTTP Status Codes
201 Created The context source was created.
500 Internal Server Error Something went wrong on Zatomic's end.